EAS Build Error - [stderr] node-pre-gyp

Hello, so happy that you guys have built EAS. We are having an issue with the build if you can help?

Anybody else run into this error?

Worker log:

Starting build
Tue, 05 Jan 2021 21:48:00 GMT
Download project archive
Tue, 05 Jan 2021 21:48:01 GMT
Unpacking project archive
Tue, 05 Jan 2021 21:48:01 GMT
Running npm
Tue, 05 Jan 2021 21:48:51 GMT
> fsevents@1.2.13 install /usr/local/turtle-v2/src/services/worker/workingdir/build/node_modules/fsevents
Tue, 05 Jan 2021 21:48:51 GMT
> node install.js
Tue, 05 Jan 2021 21:48:55 GMT
SOLINK_MODULE(target) Release/.node
Tue, 05 Jan 2021 21:49:00 GMT
CXX(target) Release/obj.target/fse/fsevents.o
Tue, 05 Jan 2021 21:49:04 GMT
SOLINK_MODULE(target) Release/fse.node
Tue, 05 Jan 2021 21:49:04 GMT
> grpc@1.24.2 install /usr/local/turtle-v2/src/services/worker/workingdir/build/node_modules/grpc
Tue, 05 Jan 2021 21:49:04 GMT
> node-pre-gyp install --fallback-to-build --library=static_library
Tue, 05 Jan 2021 21:49:05 GMT
[stderr] node-pre-gyp
Tue, 05 Jan 2021 21:49:05 GMT
[stderr]
Tue, 05 Jan 2021 21:49:05 GMT
[stderr] WARN Using request for node-pre-gyp https download
Tue, 05 Jan 2021 21:49:05 GMT
[stderr] node-pre-gyp
Tue, 05 Jan 2021 21:49:05 GMT
[stderr] WARN Tried to download(404): https://node-precompiled-binaries.grpc.io/grpc/v1.24.2/node-v83-darwin-x64-unknown.tar.gz 
Tue, 05 Jan 2021 21:49:05 GMT
[stderr] node-pre-gyp WARN Pre-built binaries not found for grpc@1.24.2 and node@14.15.1 (node-v83 ABI, unknown) (falling back to source compile with node-gyp)

terminal:mobile user$ eas build

✔ Build for platforms › iOS
✔ Linked to project @company/company-mobile
✔ Using remote iOS credentials (Expo server)
If you provide your Apple account credentials we will be able to generate all necessary build credentials and fully validate them.
This is optional, but without Apple account access you will need to provide all the values manually and we can only run minimal validation on them.
✔ Do you want to log in to your Apple account? … yes

› Log in to your Apple Developer account to continue
✔ Apple ID: … email@company.cc
› Restoring session /Users/user/.app-store/auth/email@company.cc/cookie
› Team FirstName LastName (3D74F6W94F)
› Provider FirstName LastName (122528125)
✔ Logged in Local session
✔ Bundle identifier registered com.company.company
✔ Synced capabilities
✔ Fetched Apple distribution certificates
✔ Fetched Apple provisioning profiles

Project Credentials Configuration:
  Project: @company/company-mobile, bundle identifier: com.company.company
    Provisioning profile (ID: 9WBBZ2LY3N)
    Apple Team ID: 3D74F6W94F,  Apple Team Name: FirstName LastName (Individual)

  Distribution Certificate - Certificate ID: JK3PXFCSJQ
    Apple Team ID: 3D74F6W94F,  Apple Team Name: FirstName LastName (Individual)

All credentials are ready to build @company/company-mobile (com.company.company)

✔ Uploaded to EAS 6s

Build details: https://expo.io/accounts/instamenu/builds/5daab3fa-d532-416f-a765-62a524334a9e

Waiting for build to complete. You can press Ctrl+C to exit.
✖ Build failed
    Error: Standalone build failed!

expo diagnostics:

  Expo CLI 4.0.17 environment info:
    System:
      OS: macOS 10.15.7
      Shell: 3.2.57 - /bin/bash
    Binaries:
      Node: 15.5.1 - ~/.nvm/versions/node/v15.5.1/bin/node
      Yarn: 1.22.10 - /usr/local/bin/yarn
      npm: 7.3.0 - ~/.nvm/versions/node/v15.5.1/bin/npm
      Watchman: 4.9.0 - /usr/local/bin/watchman
    Managers:
      CocoaPods: 1.9.3 - /usr/local/bin/pod
    SDKs:
      iOS SDK:
        Platforms: iOS 14.3, DriverKit 20.2, macOS 11.1, tvOS 14.3, watchOS 7.2
      Android SDK:
        API Levels: 25, 26, 27, 28, 29
        Build Tools: 26.0.2, 27.0.2, 28.0.1, 28.0.3
        System Images: android-28 | Google APIs Intel x86 Atom
    IDEs:
      Android Studio: 3.4 AI-183.6156.11.34.5692245
      Xcode: 12.3/12C33 - /usr/bin/xcodebuild
    npmPackages:
      expo: ~39.0.2 => 39.0.5 
      react: 16.13.1 => 16.13.1 
      react-dom: 16.13.1 => 16.13.1 
      react-native: ~0.63.3 => 0.63.4 
      react-native-web: ~0.13.12 => 0.13.18 
    Expo Workflow: bare
1 Like

The same here